import axiosAPI from "../config/axios";
import { API_URL } from "../env";

export const getGraph = async (token, query = {}) => {
	try {
		let url = "/graph";
		if (query != null) {
			const { listJadwal, newLaporan, jumlahLaporan, evaluasi, jadwal, sanksi, laporanTahun, tahun } = query;
			url += "?";
			const parseURL = [];
			if (listJadwal) {
				parseURL.push(`listJadwal=true`);
			}
			if (newLaporan) {
				parseURL.push(`newLaporan=true`);
			}
			if (jumlahLaporan) {
				parseURL.push(`jumlahLaporan=true`);
			}
			if (evaluasi) {
				parseURL.push(`evaluasi=true`);
			}
			if (jadwal) {
				parseURL.push(`jadwal=true`);
			}
			if (sanksi) {
				parseURL.push(`sanksi=true`);
			}
			if (laporanTahun) {
				parseURL.push(`laporanTahun=true`);
			}
			if (tahun) {
				parseURL.push(`tahun=${tahun}`);
			}

			url += parseURL.join("&");
		}

		const res = await axiosAPI.get(url, { headers: { Authorization: token } });
		return res.data;
	} catch (error) {
		console.log("error", error);
		return false;
	}
};

export const getExcel = (token, filename, query = {}) => {
	let url = API_URL + "/graph/" + token + "/" + filename + ".xlsx";
	if (query != null) {
		const { tahun } = query;
		url += "?";
		const parseURL = [];
		if (tahun) {
			parseURL.push(`tahun=${tahun}`);
		}

		url += parseURL.join("&");
	}

	return url;
};
